For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • POSTGet Embedded SDK token
    • API Errors
Get access
LogoLogo
API ReferenceEmbed Sessions

Get Embedded SDK token

POST
/embed/sessions
POST
/embed/sessions
$curl -X POST https://test.api.kota.io/embed/sessions \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "employer_id": "er_9f8b7c6d5e4a3b2c1d0e9f8a7b6c5d4e"
>}'
1{
2 "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJlbnYiOiJwcm9kIiwiZXhwIjoxNzA5MjQ4MDAwfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
3 "expiry": "2024-12-01T00:00:00Z"
4}

Retrieve a token to authenticate an employer or employee with the Kota Embedded SDK.

Previous

group_policy_intent.manual_renewal_gathering_required

Next

Getrequirement

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Request

This endpoint expects an object.
employer_idstringRequiredformat: "er_.+"
employee_idstring or nullOptionalformat: "ee_.+"
external_customer_idstring or nullOptional

A unique identifier assigned by the Employer of Record (EoR) platform to the Customer (i.e. the company using the EoR service) for which the employee is employed. This ID groups employees under this Customer, enabling the aggregation of contribution reporting and other values per Customer rather than per legal entity. This parameter is required for Employer Session tokens for EoR platforms.

Response

OK
tokenstring
expirydatetime

Errors

400
Bad Request Error
404
Not Found Error